Bug 490724 - Review Request: R-RUnit - R Unit test framework
Review Request: R-RUnit - R Unit test framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 490723
  Show dependency treegraph
 
Reported: 2009-03-17 14:18 EDT by Pierre-YvesChibon
Modified: 2009-04-06 16:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.4.21-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 07:03:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
konrad: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
[Review] (9.38 KB, text/plain)
2009-03-20 16:54 EDT, Conrad Meyer
no flags Details

  None (edit)
Description Pierre-YvesChibon 2009-03-17 14:18:14 EDT
Spec URL: http://pingou.fedorapeople.org/RPMs/R-RUnit.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-RUnit-0.4.21-1.fc10.src.rpm
Description: 
R functions implementing a standard Unit Testing framework, with additional 
code inspection and report generation tools
Comment 1 Conrad Meyer 2009-03-20 16:54:05 EDT
Created attachment 336118 [details]
[Review]

Attached is my initial review.

In summary:
- Fix the UTF-8 and one-line-command-in-%post(un) rpmlint warnings.
- Fix the License (GPLv2+)
- Fix the duplicate files
- Why is %{_bindir}/R used in %check? Also, you may want to use %{version} in your Source0. But that's discretionary.

Everything else looks good.
Comment 2 Pierre-YvesChibon 2009-03-20 17:15:06 EDT
(In reply to comment #1)
> Created an attachment (id=336118) [details]
> [Review]
> 
> Attached is my initial review.
> 
> In summary:
> - Fix the UTF-8 and one-line-command-in-%post(un) rpmlint warnings.
I would rather not because if I do so the pdf generated is corrupted. In addition please see :
https://www.redhat.com/archives/fedora-devel-list/2009-January/msg00741.html

Regarding the one-line-command-in-%post(un) see: http://fedoraproject.org/wiki/Packaging/R

> - Fix the License (GPLv2+)
This actually needs information from upstream since the license version are different in the DESCRIPTION file, the website and the sources.

> - Fix the duplicate files
Fixed

> - Why is %{_bindir}/R used in %check? 
Fixed (change R CMD INSTALL to %{_bindir}R CMD INSTALL)

> Also, you may want to use %{version} in
> your Source0. But that's discretionary.
Fixed

I will upload the new version as soon as I have news from upstream concerning the license used. 

Thanks for the review
Comment 3 Conrad Meyer 2009-03-20 17:44:17 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > - Fix the UTF-8 and one-line-command-in-%post(un) rpmlint warnings.
> I would rather not because if I do so the pdf generated is corrupted. In
> addition please see :
> https://www.redhat.com/archives/fedora-devel-list/2009-January/msg00741.html
> 
> Regarding the one-line-command-in-%post(un) see:
> http://fedoraproject.org/wiki/Packaging/R

Ok, I accept these warnings.

> > - Fix the License (GPLv2+)
> This actually needs information from upstream since the license version are
> different in the DESCRIPTION file, the website and the sources.

Either way it is an issue to resolve.
 
> I will upload the new version as soon as I have news from upstream concerning
> the license used. 
> 
> Thanks for the review  

Thank you for the quick responses. I will approve it when you figure out the license situation.
Comment 4 Mattias Ellert 2009-03-21 08:29:56 EDT
R packaging guildlines say: "Note that other files, such as CONTENTS, INDEX, NAMESPACE, and help/ are not %doc, since proper R functionality depends on their presence."

The spec file lists CONTENTS, INDEX and NAMESPACE as %doc.
Comment 5 Conrad Meyer 2009-03-21 12:37:17 EDT
(In reply to comment #4)
> R packaging guildlines say: "Note that other files, such as CONTENTS, INDEX,
> NAMESPACE, and help/ are not %doc, since proper R functionality depends on
> their presence."
> 
> The spec file lists CONTENTS, INDEX and NAMESPACE as %doc.  

These should be fixed, then.
Comment 6 Pierre-YvesChibon 2009-03-21 12:47:22 EDT
Oups, thanks for pointing this out, I'll fix this.

The mail to upstream has been sent yesterday, I'm waiting for an answer.
Comment 7 Pierre-YvesChibon 2009-04-01 04:59:13 EDT
Second mail sent to the R-devel mailing list
Comment 8 Pierre-YvesChibon 2009-04-01 11:09:55 EDT
Answer from the maintainer:

> Hello Pierre,
> 
> I must have missed your original email.
> 
> GPL-2 is the intended license specification as given in the DESCRIPTION file. I'll check and update the code headers as soon as I have time for.
> 
> Thanks for pointing this out.
> 
> Best regards, Matthias

Update:

Spec URL: http://pingou.fedorapeople.org/RPMs/R-RUnit.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-RUnit-0.4.21-2.fc10.src.rpm
Comment 9 Conrad Meyer 2009-04-01 11:56:38 EDT
Thanks for getting that resolved. APPROVED.
Comment 10 Pierre-YvesChibon 2009-04-01 12:11:40 EDT
Thanks for the review :)

New Package CVS Request
=======================
Package Name: R-RUnit
Short Description: R Unit test framework
Owners: pingou
Branches: F-9 F-10
InitialCC:
Comment 11 Dennis Gilmore 2009-04-01 12:31:33 EDT
CVS Done
Comment 12 Fedora Update System 2009-04-03 04:36:43 EDT
R-RUnit-0.4.21-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/R-RUnit-0.4.21-2.fc9
Comment 13 Fedora Update System 2009-04-03 04:36:49 EDT
R-RUnit-0.4.21-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-RUnit-0.4.21-2.fc10
Comment 14 Fedora Update System 2009-04-03 05:38:08 EDT
R-RUnit-0.4.21-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/R-RUnit-0.4.21-3.fc9
Comment 15 Fedora Update System 2009-04-03 05:38:13 EDT
R-RUnit-0.4.21-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-RUnit-0.4.21-3.fc10
Comment 16 Fedora Update System 2009-04-06 16:27:01 EDT
R-RUnit-0.4.21-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-04-06 16:34:24 EDT
R-RUnit-0.4.21-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.